Update timezone
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/timezone \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"timezone": "Asia/Tokyo"
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/timezone"
payload = { "timezone": "Asia/Tokyo" }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({timezone: 'Asia/Tokyo'})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/timezone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"timezone": "Asia/Kolkata"
}
}Preferences
Update timezone
Update the timezone on behalf of the user.
PATCH
/
notifications
/
v1
/
preferences
/
timezone
Update timezone
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Query Parameters
(Required) UID
Body
application/json
Input a valid Timezone Identifier. Eg: Asia/Tokyo
Example:
"Asia/Tokyo"
Was this page helpful?
⌘I